epoptes (22.01-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:02:20 +0200

epoptes (22.01-1) unstable; urgency=medium

  * Update help menu URLs (#150)
  * Avoid reconnections with realvnc (#149)
  * Broadcast only the first monitor (#144)
  * Update VNC viewer support (#140)
  * Revert 61df1f to allow setting SERVER and WOL (#148)
  * Apply setup.py patch from AUR for Arch Linux (#141)
  * Update debian/watch according to uscan manpage
  * Rename master branch to main (#133)
  * Import translations from launchpad
  * Add epoptes.desktop.in to POTFILES.in (#131)

 -- Alkis Georgopoulos <alkisg@gmail.com>  Sat, 22 Jan 2022 09:20:17 +0200

epoptes (21.02-1) unstable; urgency=medium

  [ Alkis Georgopoulos ]
  * Reduce shellcheck warnings

  [ Vagrant Cascadian ]
  * Pass openssl-no-sni to socat (#127)
    (Closes: #981612)

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 02 Feb 2021 15:14:24 -0800

epoptes (21.01-1) unstable; urgency=medium

  [ Alkis Georgopoulos ]
  * Allow specifying thumbshot interval
  * Create .config/epoptes when launching epoptes (#116)
  * Lowercase LTSP5 MAC addresses (#123)
  * Import translations from launchpad
  * Don't focus remote assistance connect button (#120)
  * Call mute_sound for SESSION pulseaudio (#119)
  * Remove bsdmainutils dependency (Closes: #964526)
  * Introduce POTFILES.in

  [ Vagrant Cascadian ]
  * debian/rules: Add override for dh_installinit, as epoptes does not
    ship init scripts.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 11 Jan 2021 14:47:37 -0800

epoptes (20.01-1) unstable; urgency=medium

  [ Alkis Georgopoulos ]
  * Switch to calver versioning
  * Avoid gdk-pixbuf memory leak (#110)
  * Optimize epoptes-client dependencies (#108)
  * Hide lspci not found warnings (#109)
  * Unset DESKTOP_AUTOSTART_ID on execute (#103)
  * Prevent systemd from killing epoptes-client
  * Switch to debhelper 10 (#107)
  * Switch URLs to https
  * Make a proper README.md (#28)
  * Merge branch 'debian'
  * Use lowercase in MAC addresses (#102)
  * Don't wait for DNS if SERVER is an IP (#91)
  * Save groups even when groups.json doesn't exist (#90)
  * Cope with no notification-daemon running
  * Set default button in edit alias dialog (#88)
  * Support a global groups.json file (#84)
  * Use "with" when opening files (#83)
  * Cope with invalid groups.json (#82)

  [ Vagrant Cascadian ]
  * debian/watch: Update to use new version format.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 17 Jan 2020 16:39:42 -0800

epoptes (1.0.1-2) unstable; urgency=medium

  * Change Build-Depends to python3:any (Closes: #910095).
  * Remove conffiles using dpkg-maintscript-helper (Closes: #910216).

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 08 Oct 2018 12:14:26 -0700

epoptes (1.0.1-1) unstable; urgency=medium

  [ Alkis Georgopoulos ]
  * gui.py: don't show epoptes-client running on the epoptes pc
    (issue #61).
  * Prevent dbus autolaunching (issue #66).
  * config.py: avoid warnings for missing config files (issue #69).
  * gui.py: correct initial thumbshots size (issue #68).
  * client-functions: pass UseLocalCursor=0 to xvnc4viewer.
  * get-display: update for recent distributions.
  * Remove debian/epoptes-client.if-up.
  * Prevent dbus autolaunching (issue #66).
  * Avoid error when epoptes-client isn't installed (issue #75).

  [ Vagrant Cascadian ]
  * debian/control: Fix Vcs-Git to specify to use the "debian" branch.
  * debian/rules: Remove #!/bin/sh from client-functions, as it is only
    sourced from other scripts.
  * Sync Launchpad translations.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 27 Sep 2018 13:19:20 -0700

epoptes (1.0.0-1) unstable; urgency=medium

  [ Alkis Georgopoulos ]
  * New upstream version:
    - Migrate to Python3/Gtk3 (Closes: #885278).
    - Restructure and optimize the code, while resolving a lot of outstanding
      issues.
    - Apply PEP 8, PEP 257, PEP 3101, DEP-5, Sphinx and SPDX guidelines to the
      code base.
    - Ensure that Epoptes runs properly in recent systemd-based distributions.
  * Update packaging for Python3/Gtk3.
  * Update epoptes and epoptes-clients versions from changelog while packaging.
  * Switch from sysvinit to systemd.

  [ Vagrant Cascadian ]
  * debian/control:
    - Build-Depend on debhelper >= 11.
    - Add python3 build dependencies.
    - Remove X-Python3-Version, supported in all recent versions.
    - Document that epoptes does not require root to build.
    - Update Standards-Version to 4.2.1.
  * debian/copyright:
    - Use https url for copyright format.
    - Update source location.
    - Update years.
  * debian/rules: Use dpkg pkg-info include file to get Debian version.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 18 Sep 2018 14:54:24 -0700

epoptes (0.5.10-2) unstable; urgency=medium

  * Add debian/watch file.
  * Add patches from upstream to support tigervnc.
  * debian/control:
    - Update Vcs-* fields.
    - Bump Standards-Version to 3.9.8, no changes.
    - Add dependency on lsb-base, used by init scripts.
    - Prefer tigervnc-viewer over other vnc-viewers.
  * Updated copyright years.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 23 Jan 2017 12:25:03 -0800

epoptes (0.5.10-1) unstable; urgency=medium

  * New upstream version:
    - Add a fallback to detect network interfaces that may not have a
      MAC address (e.g. TUN devices).
    - Fix multiple issues in info() function (LP: #1549467).
    - Prevent screensaver while broadcasting (LP: #1548695).
    - Avoid 90 sec shutdown delay on Debian/systemd.
  * epoptes-client.init:
    - Source LSB init-functions to make lintian happy.
  * epoptes.postinst:
    - Generate certificates with openssl without leaving ~/.rnd directory
      in root's homedir.
  * epoptes.init:
    - Determine if running as an LTSP client by checking for init-ltsp in
      boot commandline. Thanks to Alkis for the fix!
  * debian/control:
    - Use https URL for Vcs-Browser.
    - Update to Standards-Version 3.9.7, no changes.
  * debian/copyright:
    - Updated copyrights years.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 25 Mar 2016 20:17:03 -0700

epoptes (0.5.9-1) unstable; urgency=low

  * New upstream version:
    - Major improvements and bug fixes to the network benchmark module.
    - Add an "Add to group" option to the Clients menu.
    - Remove the ubuntu_local property from epoptes.ui.
    - Add a meaningful title to xterm when opening a remote terminal locally,
      instead of 'socat' (LP: #1526740).
    - Use a more compatible syntax for pkill.
    - Set a reasonable PATH to execute commands or to relaunch epoptes-client.
    - Explicitly depend on packages indirectly pulled by epoptes-client
      (LP: #1503820).
    - Use a custom php site to redirect to a proper IRC support channel based
      on user's locale, with a meaningful nickname.
    - Create the ~/.config/epoptes directory when epoptes runs, if it
      doesn't exist (LP: #1395808).
    - Detect when epoptes loses connection with epoptesd.
    - Support tigervnc on rpm distributions (LP: #1501747).
    - When epoptes is ran with ltsp-remoteapps, exclude that fat client from
      the UI (LP: #1058711).
    - Only source /lib/lsb/init-functions on Debian-based distros
      (LP: #1226094).
    - Relaunch epoptes-client after 20 seconds of network inactivity.
    - Remove ping timeouts from epoptesd for epoptes-client connections,
      allowing reconnects when something on the network fails temporarily.
    - Make WoL work on every computer if none is selected.
    - Fix the is_offline() check for clients.
    - Fix a WoL exception if an interface had no AF_INET address configured.

  * epoptes:
    - faketime doesn't work without /run/shm (#778462).

 -- Fotis Tsamis <ftsamis@gmail.com>  Thu, 28 Jan 2016 03:24:22 +0300

epoptes (0.5.8-1) unstable; urgency=low

  * New upstream version:
    - TERM was missing in text-based remote assistance (LP: #1117158).
    - Add support for shutdown/reboot/logout on systemd (LP: #1447321).
    - Fix a crash which occurred when changing the group selection.
    - Emulate x-canonical-append for notifications when necessary.
    - Support newer socat versions >= 1.7.3.
    - Generate a certificate valid since the Epoch.
    - Use python-netifaces to discover the broadcast addresses (LP: #1341278).
    - Handle the --version argument.
    - Read epoptes socket without checking for group membership (LP: #1338051).
    - Add a network throughput measurement feature.
    - Make the Groups header translatable.

  * epoptes:
    - Remove python-vte from dependencies (Closes: #790167).
    - Depend on iperf and python-pycha.
  * epoptes-client:
    - Depend on iproute2 instead of only iproute (Closes: #753715).
    - Add iperf on dependencies.
  * debian/control:
    - Update Standards-Version to 3.9.6, no changes necessary.

 -- Fotis Tsamis <ftsamis@gmail.com>  Tue, 06 Oct 2015 22:18:44 +0300

epoptes (0.5.7-1) unstable; urgency=low

  * New upstream version:
    - Add a config option for grabbing the keyboard and the mouse pointer
      when assisting a user (LP: #977637).
    - Preserve the clients selection when a client connects, disconnects, or
      is removed from the selected group (LP: #1045065).
    - Send WOL to all interfaces (LP: #1157241).
    - Fix epoptes crashing when running as root (LP: #977049).
    - Fix logout in Mate.
    - Improve the thumbnails zooming functionality.
    - Prefer pactl for muting when available (LP: #1026331).
    - Grab local input when assisting a client (LP: #977637).
    - Support xtightvncviewer as an alternative to xvnc4viewer.
    - Prefer ssvncviewer over xvnc4viewer (LP: #1030853).

  * epoptes:
    - Add python-openssl as an epoptes dependency (Closes: #703512).
    - Start the epoptes service later for LDAP/Samba (LP: #1054665).
  * epoptes-client:
    - Enable Wake On Lan when ethtool is installed. Add Suggests on ethtool.
  * debian/control:
    - Update Standards-Version to 3.9.5, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 24 Nov 2013 16:58:37 -0800

epoptes (0.5.6-1) unstable; urgency=low

  * New upstream version:
    - Support ssvnc as an alternative to xvnc4viewer.
    - Disable alias editing for clients in the 'Detected' group.
    - Correctly parse info for clients with multiple VGAs (LP: #1017140).
    - Prefix "-" to fullscreen parameter (LP: #1015239).

 -- Alkis Georgopoulos <alkisg@gmail.com>  Wed, 27 Jun 2012 21:11:16 +0300

epoptes (0.5.5-1) unstable; urgency=low

  * New upstream version:
    - Split vncport to vncviewerport and vncserverport (LP: #1013808).
    - New translation: Somali (so).

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 15 Jun 2012 14:10:45 -0700

epoptes (0.5.4-1) unstable; urgency=low

  * New upstream version:
    - Remove workaround for bug fixed in twisted.
    - Ensure that epoptes-client is actually booted to LTSP before assuming it
      is operating as a Fat client.
    - New translations: Arabic (ar), Catalan (ca), Czech (cs), Galician (gl),
      Lithuanian (lt), Turkish (tr), Chinese (Simplified) (zh_CN)
    - Updated translations: Afrikaans (af), Hebrew (he), Malay (ms),
      Norwegian Bokmal (nb), Dutch (nl), Portuguese (pt), Russian (ru)

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 10 Jun 2012 10:58:01 -0700

epoptes (0.5.3-1) unstable; urgency=low

  * Use better checks to detect LTSP clients (LP: #975784).
  * Correct start-stop-daemon parameters (LP: #975433).
  * Add Afrikaans, English (Australia), Malay and Portuguese translations.
    Many thanks to the translators!

 -- Alkis Georgopoulos <alkisg@gmail.com>  Mon, 09 Apr 2012 18:58:03 +0300

epoptes (0.5.2-1) unstable; urgency=low

  * Correctly match URLs in execute function.
  * Introduce EPOPTES_CLIENT_VERIFY_CERTIFICATE lts.conf option.
  * Make get-display work with older gdm versions (LP: #966060).
  * findUnusedPort: drop optional 'base' parameter as it may cause delays.
  * Add Danish translation. Many thanks to the translators!

 -- Alkis Georgopoulos <alkisg@gmail.com>  Sun, 01 Apr 2012 22:09:31 +0300

epoptes (0.5.1-1) unstable; urgency=low

  * New upstream version:
    - Updated translations.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 23 Mar 2012 11:05:43 -0700

epoptes (0.5.0-0ubuntu1) precise; urgency=low

  * Fix typo in remote-assistance (LP: #961907).
  * Allow more than one epoptes instances to monitor/assist clients.
  * screenshot: don't crash if the connection breaks (LP: #954441).
  * epoptes-client: depend on python-gtk2, suggest ssvnc.
  * Move remote-assistance to epoptes-client to match dependencies.
  * Hide the remote assistance menu item when epoptes-client is not installed.
  * Fix windowed broadcast.
  * get-display: don't fail if DISPLAY has an invalid (cached) value.
  * Avoid disconnecting clients on broken DNS configurations (LP: #949055).
  * Fix "unlock" trunk regression (LP: 959522).
  * Remove the unused Constants class.
  * Allow pango markup in message sending.
  * Support ssvncviewer to cope with 24bpp displays (LP: #953512).
  * Increase certificate validity to 10 years (LP: #954076).
  * Point to epoptes(1), not (8), in README (LP: #953493).
  * Use a VNC password instead of allowing only localnet (LP: #937820).
  * Don't depend on zenity (LP: #955452).
  * Make `epoptes-client -c` contact localhost in fat chroots.
  * Allow epoptes-clients using XDMCP (LP: #950720).
  * Permit VNC'ing to the login screen (LP: #889669).
  * Fix "mute/unmute not found" error (LP: #953521).
  * Add Brazilian Portuguese, Hebrew, Slovenian, Ukrainian and Vietnamese
    translations. Many thanks to the translators!

 -- Alkis Georgopoulos <alkisg@gmail.com>  Tue, 20 Mar 2012 16:43:32 +0200

epoptes (0.4.4-1) unstable; urgency=low

  [ Alkis Georgopoulos ]
  * screenshot: exit cleanly when X isn't available.
  * Handle late connectionLost events better.
  * Replace the View menu with the Labels menu.
  * Ability to show real names instead of usernames.
  * Don't use epoptes-client.init on LTSP 5.3.
  * Get the active display when executing root commands.
  * Remember more user settings (labels, history).
  * Don't hang on close, on Ubuntu 12.04.
  * Mark epoptes as the owner of /etc/epoptes (Closes: #661083).
  * Extract shell code from python scripts for maintainability.
  * Don't crash when clients with a bad certificate connect (LP: #940114).
  * Add Spanish and Swedish translations.
    Many thanks to the translators!

  [ Vagrant Cascadian ]
  * Update Standards-Version to 3.9.3, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 04 Mar 2012 13:58:00 -0800

epoptes (0.4.3-0ubuntu1) precise; urgency=low

  * New icons!
  * Add some handy actions in the toolbar.
  * Move the Labels sub-menu under the 'View' menu.
  * Make the lock screen message translatable.
  * Users couldn't launch epoptes when SOCKET_GROUP=their primary groups.
  * Add Polish and Hungarian translations.
    Many thanks to the translators!

 -- Alkis Georgopoulos <alkisg@gmail.com>  Wed, 22 Feb 2012 22:39:47 +0200

epoptes (0.4.2-1) unstable; urgency=low

  * If epoptes is ran from a thin client, don't display that client.
  * Background epoptes-client when running from if-up.
  * Log less, and let twistd handle the rotation.
  * Translation updates.
  * Don't fail when the last thumbnail byte is a space.

 -- Alkis Georgopoulos <alkisg@gmail.com>  Mon, 06 Feb 2012 23:23:38 +0200

epoptes (0.4.1-1) unstable; urgency=low

  * Optimize the thumbnails logic.
  * Add the ability to broadcast the screen in a window.
  * epoptes: Add dependency on adduser (Closes: #656117).
  * Recommend openssl for epoptes-client.
  * Fix a mutable default value gotcha in Group class.
  * Add Dutch and Finnish translations.
    Many thanks to the translators!

 -- Alkis Georgopoulos <alkisg@gmail.com>  Wed, 01 Feb 2012 10:05:12 +0200

epoptes (0.4.0-1) unstable; urgency=low

  * Generate an OpenSSL certificate valid for 5 years instead of 1 month.
  * Implement client groups.
  * Fix active display detection in recent KDE versions.
  * Fix logout in XFCE.
  * Add French, German, Russian and Slovak translations.
    Many thanks to the translators!

 -- Alkis Georgopoulos <alkisg@gmail.com>  Sat, 14 Jan 2012 22:14:20 +0200

epoptes (0.3.2-1) unstable; urgency=low

  * Use cairo for screenshot resizing on the X server, to save bandwidth.
  * Allow screenshot interval to be larger in cases of extreme load.
  * Install a logrotate configuration file.
  * Export LTSP_CLIENT_MAC in thin client sessions.
  * Exit epoptes-client when X is unavailable.
  * Stop broadcasts: only kill our child x11vnc process.

 -- Alkis Georgopoulos <alkisg@gmail.com>  Mon, 14 Nov 2011 10:37:32 +0200

epoptes (0.3.1-1) experimental; urgency=low

  * Initial upload to Debian (Closes: #646971).
    - Use SSL connections by default.
    - Replace vinagre with xvnc4viewer.
    - Fix logout in LXDE.

  * Set Maintainer to Epoptes Developers.
  * Add Alkis Georgopoulos, Fotis Tsamis and Vagrant Cascadian to Uploaders.
  * Add dependency on python-dbus.
  * Add dependency on bsdmainutils, needed for session broadcasting.
  * Recommend xterm for both client and server.
  * Improve long descriptions.
  * Update to Standards-Version 3.9.2.
  * Switch to using dh --with python2.
  * Switch to source format: 3.0 (quilt).
  * Switch to dep5 formatted debian/copyright.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 04 Nov 2011 22:48:18 -0700

epoptes (0.3.0) lucid; urgency=low

  * Switch from upstart to sysvinit, for Debian compatibility
  * Use group epoptes instead of admin for the control socket

 -- Fotis Tsamis <ftsamis@gmail.com>  Tue, 18 Oct 2011 22:05:50 +0300

epoptes (0.2.0) lucid; urgency=low

  * Fix console-based remote assistance
  * Remove Users and Group panes
  * Basic implementation of configuration files
  * Add a menu for client monitoring
  * Allow the execute command dialog to xdg-open URLs
  * Smoother text fade-in in lock screen
  * Fix client compatibility check

 -- Fotis Tsamis <ftsamis@gmail.com>  Fri, 14 Oct 2011 09:47:54 +0300

epoptes (0.1.0) lucid; urgency=low

  * Initial release

 -- Fotis Tsamis <ftsamis@gmail.com>  Thu, 06 Oct 2011 00:47:26 +0300
